# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

<a name="2.1.0"></a>
# [2.1.0](http://code.webfactory.intelligence-airbusds.com/webfactory/frontends/tools/angular-to-appengine/compare/2.0.0...2.1.0) (2025-06-25)


### Features

* upgrade default version for go runtime from `go121` to `go123` ([4b7d4a9](http://code.webfactory.intelligence-airbusds.com/webfactory/frontends/tools/angular-to-appengine/commits/4b7d4a9))



<a name="2.0.0"></a>
# [2.0.0](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.22.0...2.0.0) (2024-02-22)


### Features

* upgrade default version for go runtime from `go112` to `go121` ([6ed531b](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/6ed531b))


### BREAKING CHANGES

* if no `--runtime` parameter is specified, the default
`go121` runtime will be used instead of aold deprecated `go112` one.



<a name="1.22.0"></a>
# [1.22.0](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.21.0...1.22.0) (2021-03-11)


### Features

* **statics:** add support for xsl ([527f496](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/527f496))



<a name="1.21.0"></a>
# [1.21.0](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.20.0...1.21.0) (2021-01-26)


### Features

* **param:** add min-idle-instances parameter ([0c2aa88](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/0c2aa88))



<a name="1.20.0"></a>
# [1.20.0](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.19.0...1.20.0) (2021-01-26)


### Features

* **param:** add instance-class param ([e76f499](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/e76f499))
* **ssr:** add a minimal idle instance on versions with traffic to reduce latency ([5f4b66d](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/5f4b66d))



<a name="1.19.0"></a>
# [1.19.0](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.18.0...1.19.0) (2020-09-25)


### Features

* **ssr:** generate a package.json with a start script ([1bdca25](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/1bdca25))



<a name="1.18.0"></a>
# [1.18.0](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.17.0...1.18.0) (2020-09-23)


### Features

* **parameters:** allow runtime overwrite ([6331364](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/6331364))



<a name="1.17.0"></a>
# [1.17.0](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.16.0...1.17.0) (2020-04-29)


### Features

* **app.yaml:** use F1 instance class as default ([d7fecd4](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/d7fecd4))



<a name="1.15.0"></a>
# [1.15.0](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.14.0...1.15.0) (2020-03-20)


### Features

* **app.yaml:** disable cache on /info route ([12b6506](http://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/12b6506))



<a name="1.13.1"></a>
## [1.13.1](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.13.0...1.13.1) (2019-09-10)


### Bug Fixes

* **info:** add long commit hash ([c90b7bd](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/c90b7bd))



<a name="1.13.0"></a>
# [1.13.0](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.12.0...1.13.0) (2019-09-03)


### Features

* **app.yaml:** upgrade go version to 1.12 ([ec35160](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/ec35160))



<a name="1.11.0"></a>
# [1.11.0](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.10.0...1.11.0) (2018-12-20)


### Features

* add dedicated route for bundle stats ([b7437cb](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/b7437cb))



<a name="1.10.0"></a>
# [1.10.0](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.9.0...1.10.0) (2018-12-19)


### Features

* **app.yaml:** always secure URLs and force redirecting to HTTPS ([110d915](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/110d915))



<a name="1.9.0"></a>
# [1.9.0](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.8.0...1.9.0) (2018-11-15)


### Features

* **app.yaml:** support pdf files ([b724a2d](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/b724a2d))



<a name="1.8.0"></a>
# [1.8.0](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/compare/1.7.0...1.8.0) (2018-11-07)


### Features

* **app.yaml:** add source map files support ([96cc39d](https://code.webfactory.intelligence-airbusds.com/webfactory/tools/angular-to-appengine/commits/96cc39d))



<a name="1.7.0"></a>
# [1.7.0](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/compare/1.6.1...1.7.0) (2018-08-14)


### Features

* **app.yaml:** enable warmup requests for traffic migration between versions ([32a941d](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/commits/32a941d))



<a name="1.6.1"></a>
## [1.6.1](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/compare/1.6.0...1.6.1) (2018-06-05)


### Bug Fixes

* **app.yaml:** disable cache on index.html files ([92e416f](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/commits/92e416f))



<a name="1.3.0"></a>
# [1.3.0](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/compare/v1.2.0...v1.3.0) (2017-11-06)


### Bug Fixes

* **extensions:** manage .unityweb extension ([9a8abee](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/commits/9a8abee))



<a name="1.2.0"></a>
# [1.2.0](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/compare/1.0.0...1.2.0) (2017-11-06)


### Bug Fixes

* **extentions:** manage case insensitive extension ([aa389f3](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/commits/aa389f3))


### Features

* expose changleog and git info for deployed artifact ([a25f904](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/commits/a25f904))



<a name="1.1.0"></a>
# [1.1.0](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/compare/1.0.0...1.1.0) (2017-11-06)


### Bug Fixes

* **extentions:** manage case insensitive extension ([aa389f3](https://code.webfactory.intelligence-airbusds.com/shared/angular-to-appengine/commits/aa389f3))
